%global aud_ver 2.3
%global momorel 4

Name:           audacious
Version:        2.3
Release:        %{momorel}m%{?dist}
Summary:        A GTK2 based media player similar to xmms

Group:          Applications/Multimedia
License:        GPLv3
URL:            http://audacious-media-player.org/

Source0:        http://distfiles.atheme.org/audacious-%{version}.tgz
NoSource:	0
Patch1: 	audacious-2.2-doc-enqueue.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 2.6
BuildRequires:  zlib-devel, desktop-file-utils >= 0.9
BuildRequires:  libglade2-devel >= 2.4
BuildRequires:  GConf2-devel
BuildRequires:  gettext
BuildRequires:  mcs-devel >= 0.7.0
BuildRequires:  libmowgli-devel >= 0.7.0
BuildRequires:  dbus-devel >= 0.60, dbus-glib-devel >= 0.60
BuildRequires:  oniguruma-devel

#Requires:       audacious-plugins >= %{aud_ver}

Requires(post):   desktop-file-utils >= 0.9
Requires(postun): desktop-file-utils >= 0.9

Obsoletes:      bmp <= 0.9.7.1
Provides:       bmp = 0.9.7.1

Provides:       audacious-docklet
Obsoletes:      audacious-docklet < 0.1.1-3

%description
Audacious is a media player that currently uses a skinned
user interface based on Winamp 2.x skins. It is based on ("forked off")
BMP.


%package        libs
Summary:        Library files for Audacious
Group:          System Environment/Libraries

Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description    libs
Library files for Audacious


%package        devel
Summary:        Development files for Audacious
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}
Requires:       glib2-devel, gtk2-devel >= 2.6, GConf2-devel, libglade2-devel >= 2.4
Requires:       mcs-devel >= 0.1
Requires:       libmowgli-devel >= 0.4
Requires:       pkgconfig

Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig

Obsoletes:      bmp-devel <= 0.9.7.1
Provides:       bmp-devel = 0.9.7.1

%description    devel
Development files for Audacious


%prep
%setup -q
perl -pi -e 's/^\.SILENT:.*$//' buildsys.mk.in

%patch1 -p1 -b .doc-enqueue

%build
%configure \
    --disable-rpath \
    --enable-gconf \
    --enable-chardet \
    --enable-dbus \
    --disable-dependency-tracking \
    --with-regexlib=oniguruma \
    LIBS="-lm"
make V=1 %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name}

desktop-file-install --vendor=  \
    --dir %{buildroot}%{_datadir}/applications  \
    --remove-mime-type audio/mp3  \
    --remove-mime-type audio/mpeg  \
    --remove-mime-type audio/mpegurl  \
    --remove-mime-type audio/x-mp3  \
    --remove-mime-type audio/x-mpeg  \
    --remove-mime-type audio/x-mpegurl  \
    --remove-mime-type audio/x-ms-wma  \
    --remove-mime-type audio/x-scpls  \
    --remove-category Application \
    --add-category AudioVideo  \
    %{buildroot}%{_datadir}/applications/audacious2.desktop


install -m 755 -d %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
mv %{buildroot}%{_datadir}/pixmaps/audacious2.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps

cd %{buildroot}%{_bindir}
rm -f audacious audtool
ln -s audacious2 audacious
ln -s audtool2 audtool
cd -

%clean
rm -rf %{buildroot}


%post
update-desktop-database %{_datadir}/applications &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
update-desktop-database %{_datadir}/applications &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/audacious
%{_bindir}/audacious2
%{_bindir}/audtool
%{_bindir}/audtool2
%{_datadir}/audacious/
%{_mandir}/man[^3]/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/48x48/apps/*

%files libs
%defattr(-,root,root,-)
#%{_libdir}/audacious
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/audacious/
%{_includedir}/libaudcore/
%{_includedir}/libaudgui/
%{_includedir}/libaudtag/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3-4m)
- full rebuild for mo7 release

* Mon Aug  9 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.3-3m)
- rebuild against libmowgli-0.7.0

* Tue Jul 27 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3-2m)
- fix build on x86_64

* Tue Jun  1 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3-1m)
- update 2.3

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.1-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Mar 22 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.1-3m)
- build with --with-regexlib=oniguruma

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.1-2m)
- rebuild against rpm-4.6

* Sun Oct 19 2008 NARITA Koichi <pulsar@momonga-linu.org>
- (1.5.1-1m)
- update to 1.5.1
- sync with Fedora devel

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.0-2m)
- rebuild against gcc43

* Wed Apr 02 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.5.0-1m)
- updated to 1.5.0

* Sun Mar 23 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.4.6-2m)
- delete "Requires: audacious-plugins" temporary, 
  which causes a dependency loop between audacious and audacious-plugins

* Tue Mar 04 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.4.6-1m)
- import to Momonga from Fedora

* Mon Feb 11 2008 Ralf Ertzinger <ralf@skytale.net> 1.4.6-1
- Update to 1.4.6

* Sat Dec 29 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.5-1
- Update to 1.4.5

* Mon Dec 03 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.4-1
- Update to 1.4.4

* Sat Dec 01 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.2-3
- Add patch to fix streams sometimes being left open
- Obsolete: audacious-docklet

* Thu Nov 19 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.2-2
- Update to 1.4.2

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 1.3.2-3
- Rebuild for selinux ppc32 issue.

* Sat Aug 25 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.2-2
- Clarify License: tag

* Sat Apr 07 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.2-1.fc7
- Update to 1.3.2

* Mon Apr 02 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.1-2.fc7
- Add missing Requires: to -devel package

* Mon Apr 02 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.1-1.fc7
- Update to 1.3.1
- Rebase still necessary patches

* Sun Dec 24 2006 Ralf Ertzinger <ralf@skytale.net> 1.2.2-2.fc7
- Remove audacious-1.1.1-controlsocket-name.patch due to request
  from upstream, xmms and audacious are not entirely compatible

* Sun Nov 30 2006 Ralf Ertzinger <ralf@skytale.net> 1.2.2-1.fc7
- Update to 1.2.2

* Sun Nov 26 2006 Ralf Ertzinger <ralf@skytale.net> 1.2.1-1.fc7
- Update to 1.2.1
- Split off libaudacious into a separate package to handle the
  (now externally provided and built) plugins better

* Wed Oct 18 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.2-2.fc6
- Add Obsoletes/Provides for BMP

* Wed Sep 06 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.2-1.fc6
- Update to 1.1.2

* Thu Aug 17 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.1-6.fc6
- Another go at the %%20 problem

* Mon Aug 14 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.1-4.fc6
- Fix %%20 in playlist entries

* Sun Jul 30 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.1-3.fc6
- Bump for rebuild

* Sun Jul 30 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.1-2.fc6
- Change the name of the control socket to "xmms" instead of
  audacious. This makes programs that remote control xmms
  (and compatibles) work.

* Sun Jul 30 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.1-1.fc6
- Update to 1.1.1
- Drop amidi path patch
- Add shaded playlist skin patch (seems like audacious needs it,
  too)

* Fri Jul 21 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.0-1.fc6
- Update to 1.1.0 final
- Rediff some patches

* Sun Jul 9 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.0-0.2.dr2.fc6
- Fix quoting of filenames

* Thu Jun 29 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.0-0.1.dr2.fc6
- Fixed version for Extras review
  - Build OSS, arts and jack output plugins
  - Split esd, arts and jack into separate packages
  - Fix rpath issue
  - Fix absolute symlinks

* Sat Jun 24 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.0-0.0.dr2.fc6
- Initial build for Fedora Extras
